summaryrefslogtreecommitdiff
path: root/qa/351
diff options
context:
space:
mode:
Diffstat (limited to 'qa/351')
-rwxr-xr-xqa/35139
1 files changed, 39 insertions, 0 deletions
diff --git a/qa/351 b/qa/351
new file mode 100755
index 0000000..9ecb89a
--- /dev/null
+++ b/qa/351
@@ -0,0 +1,39 @@
+#!/bin/sh
+# PCP QA Test No. 351
+#
+# used to segv on the metric with the bad operand
+#
+# Copyright (c) 2010 Ken McDonell. All Rights Reserved.
+#
+
+seq=`basename $0`
+echo "QA output created by $seq"
+
+# get standard environment, filters and checks
+. ./common.product
+. ./common.filter
+. ./common.check
+
+status=0 # success is the default!
+$sudo rm -rf $tmp.* $seq.full
+trap "rm -f $tmp.*; exit \$status" 0 1 2 3 15
+
+cat <<End-of-File >$tmp.config
+sample.long.nine = sample.long.ten - sample.long.one
+sample.long.ninety_nine = sample.long.hundred - sample.long.one
+# this is the bad one!
+sample.long.lots = sample.million - sample.long.hundred
+End-of-File
+
+unset PCP_DERIVED_CONFIG
+
+# real QA test starts here
+
+pminfo -f sample.long
+
+echo
+echo "Now with the derived metrics ..."
+pminfo -c $tmp.config -f sample.long
+
+# success, all done
+exit